/**
 * Represents OIDC ID token.
 */
 export interface IdToken {
    sub: string
}

export interface AuthenticationResult {
  success: boolean
  payload?: AuthState
  message?: string
}

export interface RegisterFormValues {
    username?: string;
    email?: string;
    password?: string;
    confirmPassword?: string;
    sagitta?: false
    height?: string;
    weight?: string;
  }

export enum TokenState {
    CheckingToken,
    ValidToken,
    InvalidToken
}

export interface AuthState {
    accessToken?: string
    refreshToken?: string
    userId?: string
}